Name:          gupnp-av
Version:       0.14.1
Release:       2
Summary:       A small utility library that aims to ease the handing and implimation of UPnP AV.
License:       LGPLv2+
URL:           http://www.gupnp.org/
Source0:       http://download.gnome.org/sources/gupnp-av/0.14/%{name}-%{version}.tar.xz
Patch0:        Remove-deprecates-xmlRecoverMemory.patch

BuildRequires: glib2-devel gtk-doc gobject-introspection-devel libxml2-devel
BuildRequires: libsoup-devel vala meson

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package devel
Summary:   Development package for gupnp-av
Requires:  %{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package help
Summary:   Documentation files for gupnp-av
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch
Provides:  gupnp-av-docs = %{version}-%{release}
Obsoletes: gupnp-av-docs < %{version}-%{release}

%description help
This package contains developer documentation for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install
%delete_la

%check
%meson_test

%files
%license COPYING
%{_libdir}/libgupnp-av-1.0.so.*
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib
%{_datadir}/gupnp-av/

%files devel
%{_includedir}/gupnp-av-1.0/
%{_libdir}/pkgconfig/gupnp-av-1.0.pc
%{_libdir}/libgupnp-av-1.0.so
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%{_datadir}/vala/vapi/gupnp-av*

%files help
%doc AUTHORS README.md
%{_datadir}/gtk-doc/html/gupnp-av/

%changelog
* Thu Aug 10 2023 yaoxin <yao_xin001@hoperun.com> - 0.14.1-2
- Fix build failure caused by gupnp upgrade to 1.6.4

* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.14.1-1
- Update to 0.14.1

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.14.0-1
- Update to 0.14.0

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.12.11-1
- Upgrade to 0.12.11
- Update Version, Release

* Thu Apr 16 2020 wangerfeng <wangerfeng@huawei.com> - 0.12.10-7
- Package init
